Bug 155742 - [PATCH] graphics/djvulibre: update to 3.5.24
[PATCH] graphics/djvulibre: update to 3.5.24
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Stanislav Sedov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-21 09:30 UTC by takefu
Modified: 2011-04-05 09:56 UTC (History)
0 users

See Also:


Attachments
djvulibre-3.5.24.patch (1.14 KB, patch)
2011-03-21 09:30 UTC, takefu
no flags Details | Diff
file.diff (266 bytes, patch)
2011-03-21 09:30 UTC, takefu
no flags Details | Diff
file.diff (1.35 KB, patch)
2011-03-21 09:30 UTC, takefu
no flags Details | Diff
file.diff (536 bytes, patch)
2011-03-21 09:30 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2011-03-21 09:30:01 UTC
- Update to 3.5.24
  graphics/djvulibre
  graphics/djvulibre-nox11

Port maintainer (stas@FreeBSD.org) is cc'd.

Fix: PORTNAME=	djvulibre
-PORTVERSION=	3.5.23
-PORTREVISION=	0
+PORTVERSION=	3.5.24
 CATEGORIES=	graphics www
 MASTER_SITES=	SF/djvu/DjVuLibre/${PORTVERSION}
 PKGNAMESUFFIX=	-nox11
-function copyright()
 +copyright()
  {
      echo "Copyright (C) 2002 David Kreil <D.Kreil@IEEE.Org>"
      echo "Modified by Barak A. Pearlmutter <bap@debian.org>"
-@@ -14,7 +14,7 @@
+@@ -8,7 +8,7 @@
      echo "Released under the GNU GPL v2, 21-Oct-2002."
  }

@@ -23,7 +18,7 @@
  {
      echo "This program is distributed in the hope that it will be useful,"
      echo "but WITHOUT ANY WARRANTY; without even the implied warranty of"
-@@ -22,7 +22,7 @@
+@@ -16,7 +16,7 @@
      echo "GNU General Public License for more details."
  }

@@ -32,7 +27,7 @@
  {
      echo "By using this tool you accept the following disclaimer:"
      echo "  Because the any2djvu service is free of charge, there is no"
-@@ -40,7 +40,7 @@
+@@ -34,7 +34,7 @@
  ocr=1
  docformat=2

@@ -41,7 +36,7 @@
  {
      echo "Notes:"
      echo " - Internet connection is required."
-@@ -53,7 +53,7 @@
+@@ -47,7 +47,7 @@
      echo " - This software comes with NO WARRANTY."
  }

@@ -50,7 +45,7 @@
  {
      echo "Codes for the formats of the input documents to use with -f"
      echo "  1 - DjVu Document (for verification or OCR)"
-@@ -67,7 +67,7 @@
+@@ -61,7 +61,7 @@
      echo "  9 - Scanned Document - Color/Mixed - >400 dpi"
  }

@@ -59,7 +54,7 @@
  {
      echo "Convert files from .ps/.ps.gz/.pdf to .djvu"
      echo "Usage:	$0 [options] [url] {filename(s)}"
-@@ -123,13 +123,13 @@
+@@ -117,13 +117,13 @@
  fi

  # check OCR option
@@ -75,16 +70,16 @@
      format_help
      exit 0
  fi
-@@ -215,7 +215,7 @@
+@@ -209,7 +209,7 @@
              -F ocr=$ocr -F legal=1 "$rurl/$rcgi"                          \
              | eval tee "'$log'" $shellopts
      else
 -        wget $wgetopts -O - "$rurl/$rcgi?urlupload=$lurl/$in$cgiopts"   \
-+         /usr/bin/fetch$wgetopts -o - "$rurl/$rcgi?urlupload=$lurl/$in$cgiopts"   \
++         /usr/bin/fetch $wgetopts -o - "$rurl/$rcgi?urlupload=$lurl/$in$cgiopts"   \
              | eval tee "'$log'" $shellopts
      fi
      l=`egrep 'href=djvu/.*\.djvu' "$log"`
-@@ -225,7 +225,7 @@
+@@ -219,7 +219,7 @@
          echo "error: something got wrong. check log file"
          exit 1
      fi
Comment 1 Edwin Groothuis freebsd_committer 2011-03-21 09:30:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stas

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2011-03-31 09:40:16 UTC
stas        2011-03-31 08:39:53 UTC

  FreeBSD ports repository

  Modified files:
    converters/pdf2djvu  Makefile 
    graphics/ImageMagick Makefile 
    graphics/djview4     Makefile distinfo 
    graphics/djview4/files patch-desktopfiles_Makefile.in 
    graphics/djvulibre   Makefile distinfo 
    graphics/djvulibre-nox11 Makefile distinfo pkg-plist 
    graphics/djvulibre-nox11/files patch-tools_any2djvu 
    graphics/evince      Makefile 
    graphics/kdegraphics4 Makefile 
  Log:
  - Update graphics/djvulibre* to 3.5.25. [1]
  - Update djview4 to version 4.7.
  - Bump up portrevisions of all dependent ports.
  
  PR:             ports/155742 [1]
  Submitted by:   Takefu <takefu@airport.fm>
  
  Revision  Changes    Path
  1.18      +2 -2      ports/converters/pdf2djvu/Makefile
  1.322     +1 -0      ports/graphics/ImageMagick/Makefile
  1.22      +3 -5      ports/graphics/djview4/Makefile
  1.6       +2 -3      ports/graphics/djview4/distinfo
  1.4       +4 -4      ports/graphics/djview4/files/patch-desktopfiles_Makefile.in
  1.11      +1 -1      ports/graphics/djvulibre-nox11/Makefile
  1.5       +2 -2      ports/graphics/djvulibre-nox11/distinfo
  1.2       +13 -18    ports/graphics/djvulibre-nox11/files/patch-tools_any2djvu
  1.5       +1 -1      ports/graphics/djvulibre-nox11/pkg-plist
  1.71      +2 -2      ports/graphics/djvulibre/Makefile
  1.19      +2 -2      ports/graphics/djvulibre/distinfo
  1.65      +2 -2      ports/graphics/evince/Makefile
  1.160     +2 -1      ports/graphics/kdegraphics4/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Stanislav Sedov freebsd_committer 2011-04-05 09:56:35 UTC
State Changed
From-To: open->closed

Committed. Thanks!